﻿<%@ page language="C#" autoeventwireup="true" codefile="Default.aspx.cs" inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <style type="text/css" media="screen">
        body{
        font: 76% 'Lucida Grande', 'Lucida Sans Unicode', Verdana, sans-serif;
        }
    </style>
    <title>LightBox.NET Demo Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <!-- Needed to register the CSS and Javascript tags-->
        <lbn:scriptmanager runat="server" id="imgManager" InstallFiles="True"/>
        <h2>
            Single Image Demo</h2>
        <div>
            <p>
                These picture use the Hyperlink control with the <strong>imageurl</strong> and <strong>
                    navigateurl</strong> properties set.</p>
        </div>
        <div>
            <lbn:hyperlink id="img1" runat="server" imageurl="images/thumb-1.jpg" navigateurl="images/image-1.jpg"
                tooltip="Picture 1" />
            <lbn:hyperlink id="img2" runat="server" imageurl="images/thumb-2.jpg" navigateurl="images/image-2.jpg"
                tooltip="Picture 2" /></div>
        <h2>
            Image Set Demo</h2>
        <div>
            <p>
                These pictures are linked together using the <strong>group</strong> attribute for
                the LightBox Hyperlink control.</p>
        </div>
        <div>
            <lbn:hyperlink id="img3" runat="server" imageurl="images/thumb-3.jpg" navigateurl="images/image-3.jpg"
                group="Plants" tooltip="Picture 3" />
            <lbn:hyperlink id="img4" runat="server" imageurl="images/thumb-4.jpg" navigateurl="images/image-4.jpg"
                group="Plants" tooltip="Picture 4" />
            <lbn:hyperlink id="img5" runat="server" imageurl="images/thumb-5.jpg" navigateurl="images/image-5.jpg"
                group="Plants" tooltip="Picture 5" />
            <lbn:hyperlink id="img6" runat="server" imageurl="images/thumb-6.jpg" navigateurl="images/image-6.jpg"
                group="Plants" tooltip="Picture 6" />
        </div>
        <div>
            <p>
                The scripts, CSS and images are all materials of
                <asp:hyperlink runat="server" ID="lnkLightbox" text="Lightbox JS v2.0" navigateurl="http://www.huddletogether.com/projects/lightbox2"
                    font-bold="true" tooltip="Lightbox JS v2.0" />.&nbsp;&nbsp;Any questions, please email
                <asp:hyperlink runat="server" ID="lnkEmail" text="javier@lozanotek.com" tooltip="javier@lozanotek.com"
                    navigateurl="mailto:javier@lozanotek.com" />
            </p>
        </div>
    </form>
</body>
</html>
