namespace LightBox.Hosting
{
	using System;
	using System.Web.Hosting;

	public class ProviderRegistration
	{
		/// <summary>
		/// Public default constructor
		/// </summary>
		private ProviderRegistration() { }

		/// <summary>
		/// Registers this virtual provider with the web hosting engine.
		/// </summary>
		public static void RegisterImageProvider()
		{
			ImageVirtualPathProvider provider = new ImageVirtualPathProvider();
			HostingEnvironment.RegisterVirtualPathProvider(provider);
		}
	}
}
