namespace LightBox.Installer
{
    using System;
    using System.IO;

    using LightBox.Properties;

    /// <summary>
    /// 
    /// </summary>
    class ImageInstaller : IInstaller
    {
        /// <summary>
        /// 
        /// </summary>
        public ImageInstaller () {}

        /// <summary>
        /// 
        /// </summary>
        /// <param name="path"></param>
        public void Install(string path)
        {
            DirectoryInfo root = new DirectoryInfo(path);
            DirectoryInfo imgDir = root.CreateSubdirectory("images");

            Resources.blank.Save(imgDir.FullName + @"\blank.gif");
            Resources.close.Save(imgDir.FullName + @"\close.gif");
            Resources.closelabel.Save(imgDir.FullName + @"\closelabel.gif");
            Resources.loading.Save(imgDir.FullName + @"\loading.gif");
            Resources.next.Save(imgDir.FullName + @"\next.gif");
            Resources.nextlabel.Save(imgDir.FullName + @"\nextlabel.gif");
            Resources.prev.Save(imgDir.FullName + @"\prev.gif");
            Resources.prevlabel.Save(imgDir.FullName + @"\prevlabel.gif");
        }
    }
}