namespace LightBox.Configuration
{
	using System;
	using System.Configuration;

	/// <summary>
	/// Common section for the configuration of LightBox.NET
	/// </summary>
	public class LightBoxSection : ConfigurationSection
	{
		public const string SectionName = "lightBoxNet";

		/// <summary>
		/// 
		/// </summary>
		[ConfigurationProperty("providers")]
		public ProviderSettingsCollection Providers
		{
			get { return (ProviderSettingsCollection)base["providers"]; }
		}
	}
}