namespace LightBox.Installer
{
    using System;
    using System.IO;

    using LightBox.Properties;

    /// <summary>
    /// 
    /// </summary>
    class CssInstaller : IInstaller
    {
        /// <summary>
        /// 
        /// </summary>
        public CssInstaller() { }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="path"></param>
        public void Install(string path)
        {
            DirectoryInfo root = new DirectoryInfo(path);
            DirectoryInfo cssDir = root.CreateSubdirectory("css");

            File.WriteAllText(cssDir.FullName + @"\lightbox.css", Resources.lightbox_css);
        }
    }
}
